Summary:	A X Input Method Server for Chinese
Name:		xcin
Version:	2.5.2.3
Release:	19mdk
License:	GPL
Group:		System/Internationalization

Source0:	ftp://xcin.linux.org.tw/pub/xcin/xcin/%name-%version.tar.bz2
Source2:	xcin.xpm
Source3:	http://chewing.oio.cx/snapshot/chewing-2001Nov01-snapshot.tar.bz2
Patch:		xcin-2.5.2.3-xcinrc.patch.bz2
Patch1:		xcin-overthespotfix.patch.bz2
Requires:	locales-zh
BuildRequires:	XFree86-devel
BuildRequires:	db2-devel
BuildRequires:	gettext
BuildRequires:	libtabe-devel
Buildroot:	%_tmppath/%name-%version-%release-root

%description
Xcin is an X Input Method allowing to type in chinese in X applications that
follow the XIM input method standard.

%prep

%setup -q -n %name
%patch -p0 -b .xcinrc
%patch1 -p1 -b .OverTheSpot

#Install Chewing module
cd src/Cinput
bzip2 -dc %{SOURCE3} | tar -xf -
cd chewing
./patch_chewing ../

%build
#cd cin/big5/ && mv -f jyutping0.cin jyutping.cin && cd ../..

# Geoff -- don't use because it breask program.
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix/X11R6 \
		    --with-xcin-dir=%_prefix/X11R6/lib/X11/xcin \
		    --with-xcin-rcdir=%_sysconfdir/chinese/xcin \
		    --build=%_target_platform \
		    --host=%_target_platform \
		    --target=%_target_platform

# the below causes linking with -ldb22 -jgarzik
#find . -type f -exec perl -pi -e "s/-ldb/-ldb2/g" {} \;

#Dadou - 2.5.2-6mdk - Don't use make macro. It breaks build.
make

%install
export program_prefix=%buildroot
export xcin_rcp=%buildroot/%_sysconfdir/chinese/xcin
make -e install

# menu
install -d %buildroot/%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(xcin): \
needs="x11" \
section="Chinese" \
icon="chinese_section.png" \
title="XCIN" \
longtitle="A X Input Method Server for Chinese" \
command="/usr/X11R6/bin/xcin"
EOF

# icons
install -d %buildroot/%_iconsdir
install -m644 %SOURCE2 %buildroot/%_iconsdir

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc doc/* 
%dir %_sysconfdir/chinese
%dir %_sysconfdir/chinese/xcin
%config(noreplace) %_sysconfdir/chinese/xcin/*
%_prefix/X11R6/bin/*
%dir %_prefix/X11R6/lib/X11/xcin
%_prefix/X11R6/lib/X11/xcin/*
%_menudir/*
%lang(zh_TW) %_prefix/X11R6/share/locale/zh_TW/LC_MESSAGES/xcin.mo
%_iconsdir/*.xpm

%clean
rm -fr %buildroot

%changelog
* Thu Sep 04 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.5.2.3-19mdk
- fixed BuildRequires

* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.5.2.3-18mdk
- made xcin work on all chinese locales we ship

* Mon Jul 29 2002 Stefan van der Eijk <stefan@eijk.nu> 2.5.2.3-17mdk
- BuildRequires

* Tue Jan 22 2002 David BAUDENS <baudens@mandrakesoft.com> 2.5.2.3-16mdk
- Use chinese_section.png icon for menu entry

* Wed Jan 16 2002 Andrew Lee <andrew@cle.linux.org.tw> 2.5.2.3-15mdk
- add Chewing!!

* Mon Dec  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.5.2.3-14mdk
- fix to link against db2 properly
- pass --build/--host/--target to configure

* Mon Oct 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-13mdk
- OverTheSpot Fix, fixes kde logout hang (Kevin Chen).

* Sun Sep 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-12mdk
- Aiyee db loading problems!

* Tue Sep 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-11mdk
- BuildRequires db2-devel XFree86-devel (Stefan).

* Sat Sep 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-10mdk
- Back to Chinese menu.

* Fri Sep 21 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.5.2.3-9mdk
- Remove the OverTheSpot Style (hang KDE up on logout).

* Mon Sep 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.5.2.3-8mdk
- Move again menu entry in "Applications/Text tools" (menu entries wich doesn't
  respect Mandrake policy are not allowed)

* Sun Sep 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-7mdk
- Move menu back to Chinese (Applications/Text tools is too cryptic).
- Remove xcin.wrap (Source 3), as it seems to be no longer required.
- Back to -O3.
- Menu file is inside the spec file.

* Fri Sep 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.3-6mdk
- Requires locales-zh.

* Mon Sep 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.5.2.3-5mdk
- Move menu entry in "Applications/Text tools"
- Use standard icons

* Mon Sep 10 2001 Pablo Saratxaga <pablo@mandrakesft.com> 2.5.2.3-4mdk
- converted Big5 po file to real Big5 (to compile with new gettext)

* Thu Apr 05 2001 Pablo Saratxaga <pablo@mandrakesft.com> 2.5.2.3-3mdk
- fixed fontset definition (bug #1917)

* Wed Mar 21 2001 Andrew Lee <andrew@linux.org.tw> 2.5.2.3-2mdk
- enable XCIN_HIDE OVERSPOT_USE_USRFONTSET OVERSPOT_WINDOW_ONLY
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - Don't use Mandrake buildflags as that hangs the program. :-(

* Mon Mar 19 2001 Andrew Lee <andrew@linux.org.tw> 2.5.2.3-1mdk
- update to 2.5.2.3
- Don't mv -f jyutping0.cin jyutping.cin (break build)

* Fri Feb 02 2001 Geoffrey Lee <snailtalk@mandrkaesoft.com> 2.5.2.2-3mdk
- don't use jyutping no tone for now.

* Mon Jan 29 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.2.2-2mdk
- build it against the new libtabe.
- use no-tone jyutping.

* Tue Jan 09 2001 Geoff <snailtalk@mandrakesoft.com> 2.5.2.2-1mdk
- new and shiny source.
- build it against the new libtabe.

* Mon Jan 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.5.2-6mdk
- Adapt Requires to new lib policy
- Fix %%post and %%postun
- Macros
- Remove obsolote wmconfig support
- Add %%lang support
- %%config(noreplace)
- Spec clean up

* Tue Oct 24 2000 Andrew Lee <andrew@cle.linux.org.tw> 2.5.2-5mdk
- clean .spec
- refine xcinrc
- s/icons/icon/

* Mon Oct 23 2000 Andrew Lee <andrew@cle.linux.org.tw>
- xcin 2.5.2 final release
- BM
- macros

* Tue Oct 10 2000 Andrew Lee <andrew@cle.linux.org.tw>
- xcin-2.5.2.pre6.diff
- refine xcinrc
- add %file xcin.mo

* Mon Oct  9 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update to 2.5.2.pre6
- refine xcinrc

* Tue Sep 19 2000 Andrew Lee <andrew@cle.linux.org.tw>
- fix phonegb2 bugs
- refine xcinrc patch
- added icon to menu

* Fri Aug 25 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update to 2.5.2-pre5

* Thu Aug 15 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update to 2.5.2-pre4a

* Sun Jul 30 2000 Andrew Lee <andrew@cle.linux.org.tw>
- refind xcinrc, enable simplex@big5, cantonese@big5, 
bimsphonesimple@big5, pinyin@big5, biaoxingma@gb2312, jtcj_gb@gb2312,
shuangpin@gb2312, wubizixing@gb2312 and zhiranma@gb2312.
- add phonegb2 Thanks to ªkw (ڤ) <bv1al@ms2.journalist.com.tw>
- modify menu title

* Sat Jul 29 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update to 2.5.2-pre4
- Build without liu55,liu55gb,phonegb2 and bimsphonesimple.

* Mon Jul 24 2000 ID5 <id5id5@tcts1.seed.net.tw>
- Rebuild without liu55

* Sat Jul  8 2000 ID5 <id5id5@tcts1.seed.net.tw>
- Rebuild with libtabe new version

* Wed May  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- menu entry
- PreReq: libtabe
- Requires: locales-zh
- BuildRequires: libtabe-devel

* Wed Apr 12 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre3
- set OverTheSpot enable default

* Mon Mar 27 2000 Andrew Lee <andrew@cle.linux.org.tw>
- many kde-i18n packages can't work with OverTheSpot..:-(
- disable OverTheSpot

* Mon Mar 27 2000 Andrew Lee <andrew@cle.linux.org.tw>
- fix kdelnk bug
- set OverTheSpot enable

* Sat Mar 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre2

* Tue Mar  7 2000 Yuan-Chung Cheng <platin@linux.org.tw>
- /usr/share/applnk/Chinese/xcin.kdelnk

* Mon Feb 21 2000 Andrew Lee <andrew@cle.linux.org.tw>
- remove Chewing!!

* Sun Feb 20 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add Chewing!!

* Fri Feb 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre1

* Thu Feb 10 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- remove kdelnk, modify xcin.desktop

* Fri Feb  4 2000 Cheng Yuan-Cheng <platin@linux.org.tw>
- .spec file cleanup
- change xcin directory to /usr/X11R6/lib/X11/xcin/

* Tue Jan 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add bimsphone module patch

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update xcin-2.5-20000124
- add non-autoselect bimsphone 
- add phonegb2

* Thu Jan 6 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for yami

* Mon Jan  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update xcin-2.5-20000103

* Mon Dec 13 1999 Andrew Lee <andrew@cle.linux.org.tw>
- Patch a bug (gui.c)

* Mon Nov 29 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- update xcin-2.5-19991128

* Thu Nov 25 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- update xcin-2.5-19991109
- fix cin2tab rcfile bug

* Mon Nov 22 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- rebuild for mandrake
- patch cin/Makefile path

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- for xcin-2.5.1
- menu entry for GNOME and KDE were added...

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- for xcin-2.5.0-pre3

* Sun May  2 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- frist build xcin-2.5
